# PAVO Results
![PAVO Logo](https://se3.informatik.uni-wuerzburg.de/descartes/dql/raw/9adca86e0850228c60a4aa0064fe1837825b59c9/tools.descartes.pavo/logo/logo.jpg)

This package contains the PAVO intern result type.
To make PAVO an independent as possible we designed a new result model for it. In order to use PAVO one just needs to convert his result into the PAVO result model. This result model consists out of 5 Java classes. One interface, one container for multiple results, which shall be shown in one tab panel in GUI, and three different types of single results. In the Java code the classes are named with the Postfix PAVO as the simple name is for example already used in DML/DQL.  
##Classes
###Abtract Quantitative Result
The interface we designed was kept as simple as possible. Every result consists out of a queryable element, a metric and a statistic type as a name. Furthermore there is one string for each axis as description and an additional description, which can be used to name the series according to something for example degrees of freedom, which are not saved in the other variables. Additionally to that there is the original location of the result element, to support auto update for the plots. This feature also needs the last variable dots shown for intern managing. 

###Result Container
The result container is a class with a list of different results. As all these results need to be shown in a single tab in the GUI a new variable for the axis labels are needed. Furthermore a parameter for the metric is implemented. This name is used to label the tab in the tab bar. More informations are not needed in the container.

###Series Result
The class series result exist to represent a complete series in the PAVO result type. These series consists out of a list of Points, which have an x and y value and a confidence interval. Furthermore parameters if the series is continuous or discrete and one for the name are introduced.

###String Result
String values only have a string value as parameter which is later shown beneath the query string. No more values are needed. 


###Value Result
The value results are very similar to the string ones. Here also only one parameter for the integer value is implemented and nothing more. Results consisting out of a single value are shown as horizontal line in the plot. 

Author: Maximilian König