# PAVO - Core Engine

![PAVO Logo](https://se3.informatik.uni-wuerzburg.de/descartes/dql/raw/9adca86e0850228c60a4aa0064fe1837825b59c9/tools.descartes.pavo/logo/logo.jpg)

##Classes
###Graphics Engine
This package contains the Graphics Engine of PAVO, which manages the input PAVO gets from for example DQL and transforms it into the PAVO intern [result type](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/result). After that the results are divided via their metric and shown in different tabs of the GUI.
For the Usage of PAVO for your own tools Graphics Engine needs to be extended by a constructor, which does basically the same as the two given constructors only with your type of result. 
##Packages
* [Core Engine](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo) Main Management of PAVO for all Tabs in the GUI
* [Controller](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/controller) Controllers for each Tab and for the export extension
* [Result Type](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/result) Result Type of PAVO
* [Tests](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/tests) Pavo Tests with DQL and the NOP-Connector
* [Visualization Types](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/types) All different visualization and diagram types of PAVO
* [Utilities](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/util) Little Helpers used in the PAVO code
* [GUI](https://se3.informatik.uni-wuerzburg.de/descartes/dql/tree/master/tools.descartes.pavo/src/tools/descartes/pavo/view) Classes for the graphical user interface of PAVO

Author: Maximilian König




